#include "partition.h"
#include<bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> a){
    int n = a.size();
    vector<int> ans;
    for(int i = 0;i<n/2;i++){
        ans.push_back(i);
        ans.push_back(n-i-1);
    }
    if(n%2 == 1) ans.push_back((n-1)/2);
    return ans;
}

